LinuxQuestions.org
Review your favorite Linux distribution.
Home Forums Tutorials Articles Register
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Slackware
User Name
Password
Slackware This Forum is for the discussion of Slackware Linux.

Notices


Reply
  Search this Thread
Old 12-16-2018, 01:41 PM   #1
nobodino
Senior Member
 
Registered: Jul 2010
Location: Near Bordeaux in France
Distribution: slackware, slackware from scratch, LFS, slackware [arm], linux Mint...
Posts: 1,564

Rep: Reputation: 892Reputation: 892Reputation: 892Reputation: 892Reputation: 892Reputation: 892Reputation: 892
build llvm with ninja


it's possible to build llvm with ninja by applying the following patch to the SlackBuild (inspired from BLFS):
---------------------
--- llvm.SlackBuild.old 2018-09-21 02:09:28.000000000 +0200
+++ llvm.SlackBuild 2018-12-16 20:37:30.539003072 +0100
@@ -145,40 +145,15 @@
-DLLVM_USE_OPROFILE=ON \
-DLLVM_BINUTILS_INCDIR=/usr/include \
-DCLANG_RESOURCE_DIR="../lib${LIBDIRSUFFIX}/clang/${VERSION}" \
- .. || exit 1
+ -Wno-dev -G Ninja .. &&
+ ninja || exit 1

# Breaks with one of the patches above. Maybe revisit later?
# -DBUILD_SHARED_LIBS=ON \

- # This seems to not like a parallel build, at least as of 7.0.0. I don't have
- # days to wait for the compile though, so let's just smack it with a hammer
- # fifty times before dropping back to a single-threaded build:
- for index in $(seq 1 50) ; do
- #make $NUMJOBS VERBOSE=1
make $NUMJOBS
- ERR_RESULT=$?
- if [ $ERR_RESULT = 0 ]; then
- break
- fi
- echo "*** PARALLEL MAKE RESTART NUMBER $index"
- done
- if [ ! $ERR_RESULT = 0 ]; then
- # Fifty more for the single thread:
- for index in $(seq 1 50) ; do
- #make VERBOSE=1
- make
- ERR_RESULT=$?
- if [ $ERR_RESULT = 0 ]; then
- break
- fi
- echo "*** NON-PARALLEL MAKE RESTART NUMBER $index"
- done
- fi
- if [ ! $ERR_RESULT = 0 ]; then
- exit 1
- fi

- make install DESTDIR=$PKG || exit 1
+ DESTDIR=$PKG ninja install || exit 1
cd ..

# Add symlinks for $ARCH-slackware-linux-{clang,clang++}:
-------------------------
parallel building doesn't seem to be a problem in that case

Last edited by nobodino; 12-18-2018 at 12:33 AM.
 
Old 12-16-2018, 06:23 PM   #2
willysr
Senior Member
 
Registered: Jul 2004
Location: Jogja, Indonesia
Distribution: Slackware-Current
Posts: 4,679

Rep: Reputation: 1796Reputation: 1796Reputation: 1796Reputation: 1796Reputation: 1796Reputation: 1796Reputation: 1796Reputation: 1796Reputation: 1796Reputation: 1796Reputation: 1796
please wrap them in CODE tag
 
Old 12-16-2018, 11:41 PM   #3
nobodino
Senior Member
 
Registered: Jul 2010
Location: Near Bordeaux in France
Distribution: slackware, slackware from scratch, LFS, slackware [arm], linux Mint...
Posts: 1,564

Original Poster
Rep: Reputation: 892Reputation: 892Reputation: 892Reputation: 892Reputation: 892Reputation: 892Reputation: 892
Whet do you mean by "CODE tag"?
 
Old 12-17-2018, 03:34 AM   #4
Alien Bob
Slackware Contributor
 
Registered: Sep 2005
Location: Eindhoven, The Netherlands
Distribution: Slackware
Posts: 8,559

Rep: Reputation: 8106Reputation: 8106Reputation: 8106Reputation: 8106Reputation: 8106Reputation: 8106Reputation: 8106Reputation: 8106Reputation: 8106Reputation: 8106Reputation: 8106
Quote:
Originally Posted by nobodino View Post
Whet do you mean by "CODE tag"?
This web site has an editor with buttons. One of them is the "#" hash sign. Pressing it produces a set of CODE tags. Everything inbetween will not be interpreted, lines will not be wrapped and will be rendered using a fixed-width font. It makes the CODE you post here more readable.
 
Old 12-17-2018, 04:09 AM   #5
fskmh
Member
 
Registered: Jun 2002
Location: South Africa
Distribution: Custom slackware64-current
Posts: 307

Rep: Reputation: 92
Works here, just built 7.0.1 in parallel with no hammer.
 
  


Reply



Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
[SOLVED] Pango failed to build with ninja lfs8.2 sysvinit version rabidlinux Linux From Scratch 4 05-14-2018 08:09 AM
[SOLVED] Chromium fail to build - ninja not found frushiyama Slackware 2 04-20-2014 07:57 PM
LXer: Debian Is Still Being Made To Build With LLVM/Clang LXer Syndicated Linux News 0 02-10-2013 01:50 PM
llvm-config problem in slackware64-current LLVM 3.2 package teeemcee Slackware 0 01-24-2013 02:44 PM
LXer: LLVM/Clang Can Build LibreOffice LXer Syndicated Linux News 0 10-22-2011 02:21 PM

LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Slackware

All times are GMT -5. The time now is 12:59 AM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Open Source Consulting | Domain Registration